package com.wechat.dao;

import java.util.ArrayList;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.RedisGeneratorDao;
import com.wechat.model.requestDto.JobCollectionReq;
/**
 * 酒店收到的简历  缓存类
 * @author Administrator
 *
 */
@Repository
public class HotelUserRecievedCVRedisDao extends RedisGeneratorDao<String, ArrayList<JobCollectionReq>> {
	private String tableKey = "HotelUserRecievedCVRedis";

    public ArrayList<JobCollectionReq> selectMessageInfo(String infoKey) {
        return selectOne(tableKey, infoKey);
    }

    public void updateMessageInfo(String infoKey, ArrayList<JobCollectionReq> infoValue) {
        update(tableKey, infoKey, infoValue);
    }

    public void insertMessageInfo(String infoKey, ArrayList<JobCollectionReq> infoValue) {
        insert(tableKey, infoKey, infoValue);
    }

    public void deleteMessageInfo(String infoKey) {
        delete(tableKey, infoKey);
    }

}
